/* Colors */

/* Generic */
$black: rgb(0,0,0);
$white: rgb(255,255,255);
$red: rgb(255,0,0);
$green: rgb(0,255,0);
$blue: rgb(0,0,255);
$transparent: rgba(0,0,0,0);

/* Bootsrap */
$primary: white;
$color-primary: $primary; // from abstract.scss/optins.scss
$color-secondary: #151515;
$color-secondary--lightest: #dadada;

@mixin color-primary {
    color: $color-primary;
}
@mixin color-secondary {
    color: $color-secondary;
}
@mixin bg-primary {
    background-color: $color-primary;
}
@mixin bg-secondary {
    background-color: $color-secondary;
}

.color-primary {
    @include color-primary;
}

.bg-primary {
    @include bg-primary;
}

.bg-dark {
    background-color: $color-secondary;
}

body {
    @include bg-secondary;
    color: $color-secondary--lightest;
}

h1, h2, h3, h4, h5 {
    @include color-primary;
}

::selection {
  color: $color-secondary;
  background: $color-primary;
}